package com.example;

import org.openqa.selenium.By;
import org.openqa.selenium.WebDriver;
import org.openqa.selenium.WebElement;

public class HomePage {
    WebDriver driver;
    String url;

    public HomePage(WebDriver driver, String url) {
        this.driver = driver;
        this.url = url;
    }

    public WebElement getSignInDropDown() {
        return driver.findElement(By.xpath("/html/body/div[1]/div/div/div[1]/div/div/div/div[3]/div[2]/div[1]/div/div/div" +
                "[3]/ul/li[1]/a/span[1]"));
    }

    public WebElement getSignIn() {
        return driver.findElement(By.id("sign-in-modal-link"));
    }

    public void navigateToLoginPage(String url) {
        driver.get(url);
        getSignInDropDown().click();
        getSignIn().click();
    }
}
